<?php
/**
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * $Revision: 12 $
 * $Author: pyr0 $
 * $Date: 2018-10-01 19:06:26 +0200 (Mo, 01. Okt 2018) $
 */

/* diese Zeile nicht ändern!! */
defined('mxMainFileLoaded') or die('access denied');
global $mxConf;

/**
 * der Titel im Kopfbereich der Seite,
 * Um einen Teil des Titel hervorzuheben, diesen Teil in <span></span> einfassen
 */
$themesetting['title'] = $GLOBALS['sitename'];

/**
 * der Untertitel/Slogan im Kopfbereich der Seite
 * z.B.: 'the fast CMS...'
 */
$themesetting['slogan'] = $GLOBALS['slogan'];

/**
 * das Menü im Kopfbereich
 * - den Menünamen aus dem Menümanager angeben, oder
 * - leer lassen (false) um das weiter unten definierte Menü zu verwenden
 */
$themesetting['head_css_menu'] = '{CSS-MENU}';


/* social-links hier eintragen */
$themesetting['twitter-link'] = ''; // Format : 'http://www.twitter.com/mytwitter';

$themesetting['facebook-link'] = '' ; // Format  'http://www.facebook.com/myfacebook';

$themesetting['rss-link'] = 'modules.php?backend.php';


/* folgendes nur, wenn Module geladen */
if (defined('MX_MODULE')) {

    /* Hilfsvariablen für das SMF-Forum */
    global $context; // vom SMF
    $current_action = isset($context['current_action']) ? $context['current_action'] : false;

    /**
     * Seiten, bei denen, die linken Blöcke nicht gezeigt werden sollen
     */
    $themesetting['hide-left'] = array(/* Seiten/Module */
        MX_MODULE == 'Downloads',
		
        // MX_MODULE == 'Downloads' && $_REQUEST['cid'] == 61, // Downloads, Kategorie 61
        // $_REQUEST['name'] == 'Content' && $_REQUEST['pid'] == 28, // Contentmodul Id 28
        );

    /**
     * Seiten, bei denen, keine Blöcke gezeigt werden sollen
     */
    $themesetting['hide-both'] = array(/* Seiten/Module */
		MX_MODULE == 'Board',
        MX_MODULE == 'admin',
        MX_MODULE == 'Forum' && $current_action != 'profile' && $current_action != 'pm' ,
        MX_MODULE == 'Gallery',
		MX_MODULE == 'Your_Account',
        MX_MODULE == 'Schedule'&& (isset($_REQUEST['act'])) && $_REQUEST['act']=='myevents',
        MX_MODULE == 'SiriusGallery' && (isset($_REQUEST['act'])) && $_REQUEST['act']=='mygallery',
		MX_MODULE == 'Board' && (isset($_REQUEST['file'])) && $_REQUEST['file']=='member',
		
        // weitere Beispiele:
        // MX_MODULE === 'SiriusGallery',
        // MX_MODULE == 'Downloads' && $_REQUEST['cid'] == 61, // Downloads, Kategorie 61
        // $_REQUEST['name'] == 'Content' && $_REQUEST['pid'] == 28, // Contentmodul Id 28
        );

    /**
     * den Perex verwenden?
     * Der einzelne graue Block ber dem Inhalt, wird aus den Daten des ersten
     * unteren Centerblocks erstellt.
     * true = an, false = aus
     */
    $themesetting['perex'] = true;
}
/* Ende nur Module */

/* folgendes nur, wenn Module geladen und kein Men des Menmanagers verwendet werden soll */
if (defined('MX_MODULE') && !$themesetting['head_css_menu']) {
    /**
     * die Navigationsbuttons im header, wird in der
     * Funktion theme_define_placeholders() ausgewertet
     */
    $themesetting['headnav'][] = array(/* Startseite */
        'menu' => 1,
        'caption' => _HOME,
        'link' => './',
        'case' => array(
            defined('MX_HOME_FILE'),
            ));

    $themesetting['headnav'][] = array(/* Newsmodul */
        'menu' => 1,
        'caption' => _NEWSSHORT,
        'link' => 'modules.php?name=Stories_Archive',
        'case' => array(
            MX_MODULE == 'Stories_Archive',
            MX_MODULE == 'News' && !defined('MX_HOME_FILE'),
            MX_MODULE == 'Submit_News',
            MX_MODULE == 'Topics',
            ));

    $themesetting['headnav'][] = array(/* Forum */
        'menu' => 1,
        'caption' => _BBFORUM,
        'link' => 'modules.php?name=Forum',
        'case' => array(
            MX_MODULE == 'Forum',
            MX_MODULE == 'Forums',
            MX_MODULE == 'eboard',
            ));

    $themesetting['headnav'][] = array(/* Bildergalerie */
        'menu' => 1,
        'caption' => _GALLERY,
        'link' => 'modules.php?name=Gallery',
        'case' => array(
            MX_MODULE == 'SiriusGallery',
            MX_MODULE == 'coppermine',
            MX_MODULE == 'Gallery',
            ));

    $themesetting['headnav'][] = array(/* Suche */
        'menu' => 1,
        'caption' => _SEARCH,
        'link' => 'modules.php?name=Search',
        'case' => array(
            MX_MODULE == 'Search',
            ));

    /* ------ ENDE Navigationsbuttons ------- */
}

/**
 * Standardfarben die im System und den Modulen verwendet werden
 * ACHTUNG!! Diese Farben werden durch die colors.php, des jeweiligen Designs ueberschrieben
 */

/* http://colorschemedesigner.com/#3w11T8Uu-wVk7*/
/* */
global $bgcolor1;
$bgcolor1 = "#eee";
global $bgcolor2;
$bgcolor2 = "#dfdfdf";
global $bgcolor3;
$bgcolor3 = "#aaa";
global $bgcolor4;
$bgcolor4 = "#888";
global $textcolor1;
$textcolor1 = "#000";
global $textcolor2;
$textcolor2 = "#111";
global $textcolor3;
$textcolor3 = "#222"; 

include ("style/color.php");

/**
 * folgende Einstellungen sollten nicht verändert werden
 */

/* Modul-Blöcke im passenden Design anzeigen */
$themesetting['blocknav']['style'] = 'vmenu';
$themesetting['blocknav']['current'] = 'active';

/* definieren ob die Templates des Themes gecached werden können */
define('MX_THEME_CACHABLE', true);

/* Dateiname des templates */
define('MX_THIS_THEMEFILE', 'theme.html');

?>
